package com.ejie.ab79.model.procedimientos;

/**
 * Aplicaciones  
 * 
 *  
 */

public class Aplicaciones implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idAplicacion;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String urlAplicacion;
	private String usuarioRegistro;
	private String codAplicacion;

	/**
	 * Method 'Aplicaciones'.
	 */
	public Aplicaciones() {
	}

	/**
	 * Method 'Aplicaciones'.
	 * 
	 * @param idAplicacion
	 *            Integer
	 */
	public Aplicaciones(Integer idAplicacion) {
		this.idAplicacion = idAplicacion;
	}

	/**
	 * Method 'Aplicaciones'.
	 * 
	 * @param idAplicacion
	 *            Integer
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param urlAplicacion
	 *            String
	 * @param usuarioRegistro
	 *            String
	 */
	public Aplicaciones(Integer idAplicacion, String descripcionCastellano, String descripcionEuskera,
			String urlAplicacion, String usuarioRegistro, String codAplicacion) {

		this.idAplicacion = idAplicacion;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.urlAplicacion = urlAplicacion;
		this.usuarioRegistro = usuarioRegistro;
		this.codAplicacion = codAplicacion;
	}

	/**
	 * Method 'getIdAplicacion'.
	 *
	 * @return Integer
	 */

	public Integer getIdAplicacion() {
		return this.idAplicacion;
	}

	/**
	 * Method 'setIdAplicacion'.
	 *
	 * @param idAplicacion
	 *            Integer
	 * @return
	 */

	public void setIdAplicacion(Integer idAplicacion) {
		this.idAplicacion = idAplicacion;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getUrlAplicacion'.
	 *
	 * @return String
	 */

	public String getUrlAplicacion() {
		return this.urlAplicacion;
	}

	/**
	 * Method 'setUrlAplicacion'.
	 *
	 * @param urlAplicacion
	 *            String
	 * @return
	 */

	public void setUrlAplicacion(String urlAplicacion) {
		this.urlAplicacion = urlAplicacion;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public String getCodAplicacion() {
		return codAplicacion;
	}

	public void setCodAplicacion(String codAplicacion) {
		this.codAplicacion = codAplicacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idAplicacion: ").append(this.idAplicacion).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ urlAplicacion: ").append(this.urlAplicacion).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
